From: "Aaron W. Swenson" <titanofold@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-office/gnucash/files/, app-office/gnucash/
Date: Sat, 23 Sep 2023 21:08:31 +0000 (UTC) [thread overview]
Message-ID: <1695503292.6c5bb6f8f954e3164ffdb615ed6cf6d7975defea.titanofold@gentoo> (raw)
commit: 6c5bb6f8f954e3164ffdb615ed6cf6d7975defea
Author: Aaron W. Swenson <titanofold <AT> gentoo <DOT> org>
AuthorDate: Sat Sep 23 21:08:12 2023 +0000
Commit: Aaron W. Swenson <titanofold <AT> gentoo <DOT> org>
CommitDate: Sat Sep 23 21:08:12 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6c5bb6f8
app-office/gnucash: add 5.3
Signed-off-by: Aaron W. Swenson <titanofold <AT> gentoo.org>
app-office/gnucash/Manifest | 1 +
.../gnucash/files/gnucash-5.3-no-werror.patch | 29 +++
app-office/gnucash/gnucash-5.3.ebuild | 223 +++++++++++++++++++++
app-office/gnucash/metadata.xml | 2 +-
4 files changed, 254 insertions(+), 1 deletion(-)
diff --git a/app-office/gnucash/Manifest b/app-office/gnucash/Manifest
index c677c031322f..68256c619a2f 100644
--- a/app-office/gnucash/Manifest
+++ b/app-office/gnucash/Manifest
@@ -1,2 +1,3 @@
DIST gnucash-4.13.tar.bz2 14658572 BLAKE2B 027151a800194b854ad8bbe5175b24c99e924331f2b0a35745870542c2ade1e7347d2cbc3e400f621c6b5c1bb708633609a1891e729f8923d0c717537f884ca9 SHA512 7f1f5a6c6e537aca7e88c806461c58e90256954842026d801dba48586fa5817519220f532b9e460bc34751c94e6be4a80aac06325b7bada716616a735e2de3d3
DIST gnucash-5.1.tar.bz2 14794000 BLAKE2B dd9465277e9df82cc4029b95b2c8488fcb382a38e850ac7a3644bcdf5f423fafe522fcf22b996abed035465e54c1326859cd7c434df0569dffa11a8c911f1267 SHA512 c7e336d4d54407ea14bd8c10bbb7cedf9d1fdb13e2bda214169d1755b8103e4c37550b9c75244b91cf151ee30299664e8655d3c6fc4119241b7a97abcfd2e8e6
+DIST gnucash-5.3.tar.bz2 14928584 BLAKE2B 9778efa9b77f16f784eaffe1f4338a20cc42e4e767e3dcb3b29e8dc011e538912d59c21e23d3d63e031a1b558c9faaa8bc5853141ae4d2764de4c9ae949668ff SHA512 f811ed66144f8689255970c6d925047eeb8d47dbefc862f42ab54ff3342e4710d822288a2d34ed1e7e873c7a7c5db0f95bdaa233787cd6828ff448af0eea325e
diff --git a/app-office/gnucash/files/gnucash-5.3-no-werror.patch b/app-office/gnucash/files/gnucash-5.3-no-werror.patch
new file mode 100644
index 000000000000..896a41f1284d
--- /dev/null
+++ b/app-office/gnucash/files/gnucash-5.3-no-werror.patch
@@ -0,0 +1,29 @@
+--- a/CMakeLists.txt
++++ b/CMakeLists.txt
+@@ -603,12 +603,12 @@
+ set(CMAKE_C_EXTENSIONS ON)
+
+ if (UNIX)
+- set( CMAKE_C_FLAGS "-Werror -Wall -Wmissing-prototypes -Wmissing-declarations ${CMAKE_C_FLAGS}")
+- set( CMAKE_CXX_FLAGS "-Werror -Wall -Wmissing-declarations ${CMAKE_CXX_FLAGS}")
++ set( CMAKE_C_FLAGS "-Wall -Wmissing-prototypes -Wmissing-declarations ${CMAKE_C_FLAGS}")
++ set( CMAKE_CXX_FLAGS "-Wall -Wmissing-declarations ${CMAKE_CXX_FLAGS}")
+ set( CMAKE_C_FLAGS_RELEASE "-O3 -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=2 ${CMAKE_C_FLAGS}")
+ endif()
+ if (MINGW)
+- set( CMAKE_C_FLAGS "-Werror -Wall -Wmissing-prototypes -Wmissing-declarations ${CMAKE_C_FLAGS}")
++ set( CMAKE_C_FLAGS "-Wall -Wmissing-prototypes -Wmissing-declarations ${CMAKE_C_FLAGS}")
+ set( CMAKE_CXX_FLAGS "-DWINVER=0x0500 -D_EMULATE_GLIBC=0 ${CMAKE_CXX_FLAGS}") # Workaround for bug in gtest on mingw, see https://github.com/google/googletest/issues/893 and https://github.com/google/googletest/issues/920
+ endif()
+
+--- a/common/cmake_modules/GncAddSwigCommand.cmake
++++ b/common/cmake_modules/GncAddSwigCommand.cmake
+@@ -70,7 +70,7 @@
+
+ set (DEFAULT_SWIG_PYTHON_FLAGS
+ -python -py3
+- -Wall -Werror
++ -Wall
+ ${SWIG_ARGS}
+ )
+ set (DEFAULT_SWIG_PYTHON_C_INCLUDES
diff --git a/app-office/gnucash/gnucash-5.3.ebuild b/app-office/gnucash/gnucash-5.3.ebuild
new file mode 100644
index 000000000000..cb0d6819a793
--- /dev/null
+++ b/app-office/gnucash/gnucash-5.3.ebuild
@@ -0,0 +1,223 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# Please bump with app-doc/gnucash-docs
+
+PYTHON_COMPAT=( python3_{9..12} )
+
+inherit cmake gnome2-utils python-single-r1
+
+DESCRIPTION="A personal finance manager"
+HOMEPAGE="https://www.gnucash.org/"
+SRC_URI="https://github.com/Gnucash/gnucash/releases/download/${PV}/${P}.tar.bz2"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+
+IUSE="aqbanking debug doc examples gnome-keyring +gui mysql nls ofx postgres python quotes smartcard sqlite test"
+RESTRICT="!test? ( test )"
+
+# Examples doesn't build unless GUI is also built
+REQUIRED_USE="
+ examples? ( gui )
+ python? ( ${PYTHON_REQUIRED_USE} )
+ smartcard? ( aqbanking )
+"
+
+# dev-libs/boost must always be built with nls enabled.
+# net-libs/aqbanking dropped gtk with v6. So, to simplify the
+# dependency, we just rely on that.
+RDEPEND="
+ >=dev-libs/glib-2.56.1:2
+ >=dev-scheme/guile-2.2.0:=[regex]
+ >=sys-libs/zlib-1.1.4
+ dev-libs/boost:=[icu,nls]
+ dev-libs/icu:=
+ dev-libs/libxml2:2
+ dev-libs/libxslt
+ aqbanking? (
+ >=net-libs/aqbanking-6[ofx?]
+ >=sys-libs/gwenhywfar-5.6.0:=
+ smartcard? ( sys-libs/libchipcard )
+ )
+ gnome-keyring? ( >=app-crypt/libsecret-0.18 )
+ gui? (
+ >=x11-libs/gtk+-3.22.30:3
+ gnome-base/dconf
+ net-libs/webkit-gtk:4.1=
+ aqbanking? ( sys-libs/gwenhywfar:=[gtk] )
+ )
+ mysql? (
+ dev-db/libdbi
+ dev-db/libdbi-drivers[mysql]
+ )
+ ofx? ( >=dev-libs/libofx-0.9.12:= )
+ postgres? (
+ dev-db/libdbi
+ dev-db/libdbi-drivers[postgres]
+ )
+ python? (
+ ${PYTHON_DEPS}
+ $(python_gen_cond_dep '
+ dev-python/pygobject:3[${PYTHON_USEDEP}]
+ ')
+ )
+ quotes? (
+ >=dev-perl/Finance-Quote-1.11
+ dev-perl/JSON-Parse
+ dev-perl/HTML-TableExtract
+ )
+ sqlite? (
+ dev-db/libdbi
+ dev-db/libdbi-drivers[sqlite]
+ )
+"
+
+# gtest is a required dep
+# see https://bugs.gnucash.org/show_bug.cgi?id=795250
+DEPEND="
+ ${RDEPEND}
+ >=sys-devel/gettext-0.20
+ dev-lang/perl
+ dev-perl/XML-Parser
+ sys-devel/libtool
+ >=dev-cpp/gtest-1.8.0
+"
+BDEPEND="
+ dev-lang/swig
+ >=dev-util/cmake-3.10
+ virtual/pkgconfig
+"
+
+#~app-doc/gnucash-docs-${PV}
+PDEPEND="
+ doc? (
+ ~app-doc/gnucash-docs-5.2
+ gnome-extra/yelp
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-5.0-exclude-license.patch"
+ "${FILESDIR}/${PN}-4.12-drop-broken-test.patch"
+ "${FILESDIR}/${PN}-5.3-no-werror.patch"
+
+ # This is only to prevent webkit2gtk-4 from being selected.
+ # https://bugs.gentoo.org/893676
+ "${FILESDIR}/${PN}-5.0-webkit2gtk-4.1.patch"
+)
+
+# guile generates ELF files without use of C or machine code
+# It's a portage false positive, bug #677600
+QA_PREBUILT='*[.]go'
+
+pkg_setup() {
+ use python && python-single-r1_pkg_setup
+}
+
+src_prepare() {
+ cmake_src_prepare
+
+ # http://debbugs.gnu.org/cgi/bugreport.cgi?bug=38112
+ find "${S}" -name "*.scm" -exec touch {} + || die
+
+ # Fix tests writing to /tmp
+ local fixtestfiles=(
+ gnucash/report/test/test-report-html.scm
+ gnucash/report/reports/standard/test/test-invoice.scm
+ gnucash/report/reports/standard/test/test-new-owner-report.scm
+ gnucash/report/reports/standard/test/test-owner-report.scm
+ gnucash/report/reports/standard/test/test-transaction.scm
+ gnucash/report/reports/standard/test/test-portfolios.scm
+ gnucash/report/reports/standard/test/test-charts.scm
+ gnucash/report/test/test-report.scm
+ gnucash/report/test/test-commodity-utils.scm
+ gnucash/report/test/test-report-extras.scm
+ libgnucash/backend/dbi/test/test-backend-dbi-basic.cpp
+ libgnucash/backend/xml/test/test-xml-pricedb.cpp
+ )
+ for x in "${fixtestfiles[@]}"; do
+ sed -i -e "s|\"/tmp/|\"${T}/|g" "${S}/${x}" || die "sed of ${S}/${x} failed"
+ done
+}
+
+src_configure() {
+ export GUILE_AUTO_COMPILE=0
+
+ local sql_on_off="OFF"
+ if use mysql || use postgres || use sqlite ; then
+ sql_on_off="ON"
+ fi
+
+ local mycmakeargs=(
+ -DCOMPILE_GSCHEMAS=OFF
+ -DDISABLE_NLS=$(usex !nls)
+ -DWITH_AQBANKING=$(usex aqbanking)
+ -DWITH_GNUCASH=$(usex gui)
+ -DWITH_OFX=$(usex ofx)
+ -DWITH_PYTHON=$(usex python)
+ -DWITH_SQL=${sql_on_off}
+ )
+
+ cmake_src_configure
+}
+
+src_test() {
+ LOCALE_TESTS=
+ if type locale >/dev/null 2>&1; then
+ MY_LOCALES="$(locale -a)"
+ if [[ "${MY_LOCALES}" != *en_US* ||
+ "${MY_LOCALES}" != *en_GB* ||
+ "${MY_LOCALES}" != *fr_FR* ]] ; then
+ ewarn "Missing one or more of en_US, en_GB, or fr_FR locales."
+ else
+ LOCALE_TESTS=true
+ fi
+ else
+ ewarn "'locale' not found."
+ fi
+
+ if [[ ! "${LOCALE_TESTS}" ]]; then
+ ewarn "Disabling test-qof and test-gnc-numeric."
+ echo 'set(CTEST_CUSTOM_TESTS_IGNORE test-qof test-gnc-numeric)' \
+ > "${BUILD_DIR}"/CTestCustom.cmake || die "Failed to disable test-qof and test-gnc-numeric!"
+ fi
+
+ cd "${BUILD_DIR}" || die "Failed to enter ${BUILD_DIR}"
+ XDG_DATA_HOME="${T}/$(whoami)" eninja check
+ cmake_src_test
+}
+
+src_install() {
+ cmake_src_install
+
+ dostrip -x /usr/$(get_libdir)/guile/2.2/site-ccache/gnucash/
+
+ use examples && docompress -x /usr/share/doc/${PF}/examples
+
+ if use python ; then
+ python_optimize
+ python_optimize "${ED}"/usr/share/gnucash/python
+ fi
+}
+
+pkg_postinst() {
+ if use gui ; then
+ xdg_icon_cache_update
+ gnome2_schemas_update
+ fi
+ xdg_desktop_database_update
+ xdg_mimeinfo_database_update
+}
+
+pkg_postrm() {
+ if use gui ; then
+ xdg_icon_cache_update
+ gnome2_schemas_update
+ fi
+ xdg_desktop_database_update
+ xdg_mimeinfo_database_update
+}
diff --git a/app-office/gnucash/metadata.xml b/app-office/gnucash/metadata.xml
index 80150b2107fa..a19baffbd28b 100644
--- a/app-office/gnucash/metadata.xml
+++ b/app-office/gnucash/metadata.xml
@@ -27,7 +27,7 @@
</longdescription>
<use>
<flag name="aqbanking">Connect to some internet banks via AqBanking</flag>
- <flag name="quotes">Enable Online Stock Quote retrieval</flag>
+ <flag name="quotes">Enable online stock quote retrieval</flag>
<flag name="register2">Use the new register (Experimental)</flag>
</use>
<upstream>
next reply other threads:[~2023-09-23 21:08 UTC|newest]
Thread overview: 15+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-09-23 21:08 Aaron W. Swenson [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-11-03 18:54 [gentoo-commits] repo/gentoo:master commit in: app-office/gnucash/files/, app-office/gnucash/ David Seifert
2024-11-01 19:13 Andreas K. Hüttel
2023-12-14 8:12 Sam James
2023-03-17 16:03 Sam James
2023-03-16 12:47 Aaron W. Swenson
2022-12-06 12:02 Sam James
2022-12-06 12:02 Sam James
2020-03-28 21:46 Aaron W. Swenson
2019-01-09 13:06 Aaron W. Swenson
2018-02-23 11:26 Aaron Swenson
2018-02-22 11:45 Thomas Deutschmann
2018-01-15 10:37 Aaron Swenson
2016-07-02 10:43 Pacho Ramos
2015-11-11 13:04 Gilles Dartiguelongue
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1695503292.6c5bb6f8f954e3164ffdb615ed6cf6d7975defea.titanofold@gentoo \
--to=titanofold@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox